SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.3 2003/05/03 23:38:21 babolo Exp $

JNTROSTUP(xfs,,xfs-3dnl
,dnl
# jailup ${inclass} dir jailname jailaddr [uid [gid [port]]]
#     where dir relative to ${jailupdir} and ${jailrodir}
#     uid, gid and port are 7100 by default
# installed ports/x11/XFree86 useddnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
juid="${4-7100}"
jgid="${5-7100}"
port="${6:-7100}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
ETCOPY()
${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c m z xpg4
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    xfs
EOF

CONFCOPY(${genclass}.conf, "${TEMPLATE}")
${touch} "${main_dir}/var/run/err"
${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=dir uname=root gname=wheel mode=0755 flags=none
.
/set type=file mode=0644
    localtime
    xfs.conf
EOF
${chown} ${juid} "${main_dir}/tmp" "${main_dir}/var/run/err"

${cat} << EOF >> "${genconfig}"
#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	${juid}	${jgid}	${port}
EOF
      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#${conf_dir}		${main_dir}/etc		null	ro,nodev,noexec	0 0
#/usr/X11R6/lib/X11/fonts	${main_dir}/fonts/X11	null	ro,nodev,noexec	0 0
#/usr/local/share/fonts	${main_dir}/fonts/share	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
